###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Raduly, Csaba
#
###############################################################################
[EXECUTE]
concat.control

[MODULE_PARAMETERS]
mp_ints7 := { 0, 1, 2 }
mp_ints7 &= { 3, 4, 5, 6 }

mp_ints4_0 := { 0, 1, 2, 3 }
mp_ints4_0 &= {} # brought to you by the Department of Redundancy Department

[LOGGING]
LoggerPlugins := { LegacyLogger }
LogFile := "%e.%s"
FileMask    := LOG_ALL
ConsoleMask := ERROR | WARNING | ACTION | TESTCASE | STATISTICS
AppendFile  := No
TimeStampFormat  := Time
LogEventTypes    := Detailed # default is No
SourceInfoFormat := Single   # default is None
LogEntityName    := No
LogFileSize      := 0
LogFileNumber    := 42 # default 1
DiskFullAction   := Error
MatchingHints    := Compact
EmergencyLogging := 0
EmergencyLoggingBehaviour := BufferMasked
EmergencyLoggingMask := LOG_ALL

[TESTPORT_PARAMETERS]
mtc.*.LocalIPAddress := "164.48.161.146"
mtc.RADIUS[0].LocalUDPPort := "12345"
mtc.RADIUS[1].LocalUDPPort := "12346"
system.MySystemInterface1.RemoteIPAddress := "10.1.1.1"
system.MySystemInterface2.RemoteIPAddress := "10.1.1.2"

# Define section in included cfg

[INCLUDE]
"sub1.cfg"

[EXTERNAL_COMMANDS]
BeginTestCase    := "/bin/echo"
EndTestCase      := "/bin/echo"
BeginControlPart := "/bin/echo"
EndControlPart   := "/bin/echo"

[GROUPS]
HeintelAndPauler := heintel, pauler.eth.ericsson.se
myGroup := 153.44.87.34, test-host.123.com
AllHosts := *

[COMPONENTS]
MyComponentType := HeintelAndPauler
CPComponentType := 153.44.87.34
* := AllHosts

[MAIN_CONTROLLER]
#LocalAddress := ${Localhost, hostname}
TCPPort := 42042

#NumHCs := 3
# ttcn3_start does not work with NumHCs

KillTimer := 4.5




